/**
 * edge-lexer
 *
 * (c) Edge
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
import type { Tags, RuntimeTag, RuntimeComment, RuntimeMustache, LexerTagDefinitionContract } from './types.js';
/**
 * Returns runtime tag node if tag is detected and is a registered tag
 */
export declare function getTag(content: string, filename: string, line: number, col: number, tags: Tags, claimTag?: (name: string) => LexerTagDefinitionContract | null): RuntimeTag | null;
/**
 * Returns the runtime mustache node if mustache is detected. It will look for 3 types of
 * mustache statements.
 *
 * - Comments `{{-- --}}`
 * - Safe Mustache `{{{ }}}`
 * - Escaped Mustache `@{{}}`
 */
export declare function getMustache(content: string, filename: string, line: number, col: number): RuntimeMustache | RuntimeComment | null;
