import type { Token, TagToken, MustacheToken } from './types.js';
/**
 * Returns true when token is a tag with a given name
 */
export declare function isTag(token: Token, name?: string): token is TagToken;
/**
 * Returns true when token is an escape tag with a given name
 */
export declare function isEscapedTag(token: Token, name?: string): token is TagToken;
/**
 * Returns true when token.type is a mustache type
 */
export declare function isMustache(token: Token): token is MustacheToken;
/**
 * Returns true when token.type is a safe mustache type
 */
export declare function isSafeMustache(token: Token): token is MustacheToken;
/**
 * Returns true when toke.type is an escaped mustache type
 */
export declare function isEscapedMustache(token: Token): token is MustacheToken;
/**
 * Returns line and column number for a given lexer token
 */
export declare function getLineAndColumn(token: Token): [number, number];
